<bugID>908452<Summary>Requests should be processed in order for each actor</Summary><Description>Created attachment 794279
Don't dispatch new requests to actors until they've finished processing the prior one.

From the patch:

An actor might take several event loop turns to handle a given request, which means that later requests can arrive while the actor is still in the midst of processing an earlier request. Some kinds of actors can probably interleave their servicing of some kinds requests (those with no side effects, say), but that should be something that actors have to opt into, not the default behavior.

The attached patch insures that requests get processed in order. It needs a test, but it does pass the existing suite.</Description></bugID>